<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\Service;

class ServicesInit extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'services:init';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Generate inital services';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
		$this->youtube();
		$this->instagram();
		$this->twitter();
		$this->tiktok();

    }

	protected function youtube() {
    	$s = new Service;
		$s->name = 'Unique Views';
		$s->type = 'views';
		$s->site = 'youtube';
		$s->supplier = 'smmkings';
		$s->supplier_id = 2997;
		$s->maximum = 500000;
		$s->minimum = 1000;
		$s->price = 600;
		$s->available = true;
		$s->save();

    	$s = new Service;
		$s->name = 'Language Targeted Views';
		$s->type = 'views';
		$s->site = 'youtube';
		$s->supplier = 'smmkings';
		$s->modifier = 'language';
		$s->maximum = 100000;
		$s->minimum = 1000;
		$s->price = 600;
		$s->available = true;
		$s->note = '{language: {
		french: 2974, spanish: 2975, german: 2976, 
		}}';
		$s->save();

    	$s = new Service;
		$s->name = 'Location Targeted Views';
		$s->site = 'youtube';
		$s->supplier = 'smmkings';
		$s->modifier = 'location';
		$s->maximum = 100000;
		$s->minimum = 1000;
		$s->price = 650;
		$s->note = '{locations: {
		india: 2600, brazil: 2597, colombia: 2608, philippines: 2609, mexico:
		2673, netherlands: 2771, russia: 2772, spain: 2773, hongkong: 3065,
		israel: 3119, }}';
		$s->available = true;
		$s->description = 'Real impressionss and profile visits';
		$s->save();

    	$s = new Service;
		$s->name = 'Likes';
		$s->site = 'youtube';
		$s->supplier = 'smmkings';
		$s->maximum = 100000;
		$s->minimum = 50;
		$s->price = 850;
		$s->available = true;
		$s->save();

    	$s = new Service;
		$s->name = 'Comments';
		$s->site = 'youtube';
		$s->supplier = 'smmkings';
		$s->maximum = 500000;
		$s->minimum = 10;
		$s->price = 2000;
		$s->available = true;
		$s->save();

	}

	protected function instagram() {

    	$s = new Service;
		$s->name = 'Likes with Profile Visits';
		$s->type = 'likes';
		$s->site = 'instagram';
		$s->supplier = 'smmkings';
		$s->supplier_id = 2997;
		$s->maximum = 500000;
		$s->minimum = 1000;
		$s->price = 700;
		$s->available = true;
		$s->save();

    	$s = new Service;
		$s->name = 'Likes';
		$s->type = 'likes';
		$s->site = 'instagram';
		$s->supplier = 'smmkings';
		$s->supplier_id = 3775;
		$s->maximum = 50000;
		$s->minimum = 100;
		$s->price = 50;
		$s->available = true;
		$s->save();

    	$s = new Service;
		$s->name = 'Post Impressions';
		$s->type = 'impressions';
		$s->site = 'instagram';
		$s->supplier = 'smmkings';
		$s->supplier_id = 618;
		$s->maximum = 1000000;
		$s->minimum = 100;
		$s->price = 100;
		$s->available = true;
		$s->description = 'Post impressions and visits';
		$s->save();

    	$s = new Service;
		$s->name = 'Profile Visits';
		$s->type = 'profile';
		$s->site = 'instagram';
		$s->supplier = 'smmkings';
		$s->supplier_id = 2997;
		$s->maximum = 500000;
		$s->minimum = 100;
		$s->price = 100;
		$s->available = true;
		$s->save();

    	$s = new Service;
		$s->name = 'Post Views';
		$s->type = 'views';
		$s->site = 'instagram';
		$s->supplier = 'smmkings';
		$s->supplier_id = 2840;
		$s->maximum = 10000000;
		$s->minimum = 100;
		$s->price = 50;
		$s->available = true;
		$s->save();
	}

	protected function twitter() {
    	$s = new Service;
		$s->name = 'Video Views';
		$s->type = 'views';
		$s->site = 'twitter';
		$s->supplier = 'smmkings';
		$s->supplier_id = 287;
		$s->maximum = 1000000;
		$s->minimum = 100;
		$s->price = 90;
		$s->available = true;
		$s->save();

    	$s = new Service;
		$s->name = 'Impressions';
		$s->type = 'impressions';
		$s->site = 'twitter';
		$s->supplier = 'smmkings';
		$s->supplier_id = 288;
		$s->maximum = 1000000;
		$s->minimum = 100;
		$s->price = 500;
		$s->available = true;
		$s->save();

    	$s = new Service;
		$s->name = 'Followers';
		$s->type = 'followers';
		$s->site = 'twitter';
		$s->supplier = 'smmkings';
		$s->supplier_id = 3820;
		$s->maximum = 10000;
		$s->minimum = 10;
		$s->price = 400;
		$s->available = true;
		$s->save();
	}


	protected function tiktok() {
    	$s = new Service;
		$s->name = 'Views';
		$s->type = 'views';
		$s->site = 'tiktok';
		$s->supplier = 'smmkings';
		$s->supplier_id = 3826;
		$s->maximum = 10000000;
		$s->minimum = 100;
		$s->price = 70;
		$s->available = true;
		$s->save();

    	$s = new Service;
		$s->name = 'Likes';
		$s->type = 'likes';
		$s->site = 'tiktok';
		$s->supplier = 'smmkings';
		$s->supplier_id = 3935;
		$s->maximum = 100000;
		$s->minimum = 100;
		$s->price = 300;
		$s->available = true;
		$s->save();

    	$s = new Service;
		$s->name = 'Followers';
		$s->type = 'followers';
		$s->site = 'tiktok';
		$s->supplier = 'smmkings';
		$s->supplier_id = 3934;
		$s->maximum = 100000;
		$s->minimum = 20;
		$s->price = 300;
		$s->available = true;
		$s->save();

	}

	}

